List every reply under a root comment, oldest first
curl --request GET \
--url https://www.dench.com/api/v1/crm/comments/{commentId}/replies \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/crm/comments/{commentId}/replies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/comments/{commentId}/replies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"page": [
{
"_id": "<string>",
"entryId": "<string>",
"depth": 123,
"body": "<string>",
"actor": {
"kind": "<string>",
"label": "<string>",
"isDench": true,
"displayName": "<string>",
"imageUrl": "<string>",
"userId": "<string>"
},
"mentionedUserIds": [
"<string>"
],
"mentionsDench": true,
"replyCount": 123,
"reactionSummary": [
{
"emoji": "<string>",
"count": 123
}
],
"viewerReactions": [
"<string>"
],
"canEdit": true,
"createdAt": 123,
"parentCommentId": "<string>",
"rootCommentId": "<string>",
"editedAt": 123,
"deletedAt": 123,
"denchStatus": "pending"
}
],
"isDone": true,
"continueCursor": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}crm
List every reply under a root comment, oldest first
List every reply under a root comment, oldest first.
GET
/
crm
/
comments
/
{commentId}
/
replies
List every reply under a root comment, oldest first
curl --request GET \
--url https://www.dench.com/api/v1/crm/comments/{commentId}/replies \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/crm/comments/{commentId}/replies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/comments/{commentId}/replies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"page": [
{
"_id": "<string>",
"entryId": "<string>",
"depth": 123,
"body": "<string>",
"actor": {
"kind": "<string>",
"label": "<string>",
"isDench": true,
"displayName": "<string>",
"imageUrl": "<string>",
"userId": "<string>"
},
"mentionedUserIds": [
"<string>"
],
"mentionsDench": true,
"replyCount": 123,
"reactionSummary": [
{
"emoji": "<string>",
"count": 123
}
],
"viewerReactions": [
"<string>"
],
"canEdit": true,
"createdAt": 123,
"parentCommentId": "<string>",
"rootCommentId": "<string>",
"editedAt": 123,
"deletedAt": 123,
"denchStatus": "pending"
}
],
"isDone": true,
"continueCursor": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.
Path Parameters
Root comment id.